Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 216115 - Headphones not redirected on HP Compaq dc5700
Summary: Headphones not redirected on HP Compaq dc5700
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Brian Maly
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 420521 422431 422441 422491
TreeView+ depends on / blocked
 
Reported: 2006-11-17 11:05 UTC by Bastien Nocera
Modified: 2018-10-27 12:33 UTC (History)
3 users (show)

Fixed In Version: 5.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-12-19 15:20:52 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Bastien Nocera 2006-11-17 11:05:45 UTC
RHEL5 Milestone 9

1. Start playing (long) sound
2. Plug in headphones/speakers to the headphones or audio jack
3. No sound comes out

Comment 2 Bastien Nocera 2006-11-17 11:15:21 UTC
Chris, could you try and check whether fiddling with the existing output
channels gives you any output on that jack?

Comment 3 RHEL Product and Program Management 2006-11-17 11:20:33 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 osoi 2006-11-26 22:26:57 UTC
I have the exact same problem on my Dell Inspiron 1300 laptop. I am using an
updated version of Core 6.

Alsa ver: 1.0.12-2

lspci:
00:1b.0 Audio device: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High
Definition Audio Controller (rev 03)

Comment 5 Bastien Nocera 2006-11-27 09:42:29 UTC
(In reply to comment #4)
> I have the exact same problem on my Dell Inspiron 1300 laptop. I am using an
> updated version of Core 6.

This is a bug against Red Hat Enterprose Linux 5 beta, for this specific Compaq
machine. Please file another bug for your problem with the Dell laptop.

Comment 12 Brian Maly 2007-11-05 21:03:31 UTC
Does this work in RHEL5.1 or not? Can someone double check.



Comment 15 Brian Maly 2007-12-11 18:57:00 UTC
Can someone please test a 5.1 kernel (which has the alsa 1.0.14 update) on this
hardware to verify the update solved the issue. The alsa update in 5.1 contains
the patch in Comment #8 and should have resoved this issue. We just need to
verify this is the case. Thanks.

Comment 16 Brian Maly 2007-12-19 15:20:52 UTC
I checked and the ALSA quirk for the HP d5700 is in the RHEL5 tree. There doesnt
appear to be anything new for this model upstream (in alsa-driver-1.0.15) and we
have had several ALSA updates since this bug was filed (including a complete
ALSA rebase) without any verification this issue still exists.

With these things considered, I am closing this as it should be in the current
release (5.1 or later). If this is still broken please re-open this issue.




Note You need to log in before you can comment on or make changes to this bug.